summaryrefslogtreecommitdiff
path: root/top
diff options
context:
space:
mode:
authorBruno Haible <bruno@clisp.org>2022-11-26 15:25:44 +0100
committerBruno Haible <bruno@clisp.org>2022-11-26 15:25:44 +0100
commit835b3ea801782fcf72ef1f9397bb112cac0e2f50 (patch)
tree45803fd125a3005f4054232c3cb43ded1bc93347 /top
parent6ec9bc73686fd42d0a1a82c914d89176745cddbd (diff)
downloadgnulib-835b3ea801782fcf72ef1f9397bb112cac0e2f50.tar.gz
In 'trap' commands, prefer symbolic to numeric signal names.
Reported by Mike Fulton <fultonm@ca.ibm.com> in <https://lists.gnu.org/archive/html/bug-gnulib/2022-11/msg00130.html>. * gnulib-tool: Use symbolic signal names. * posix-modules: Likewise. * MODULES.html.sh: Likewise. * build-aux/bootstrap (prepare_GNULIB_SRCDIR): Likewise. * build-aux/csharpcomp.sh.in: Likewise. * build-aux/gnu-web-doc-update: Likewise. * top/autogen.sh: Likewise. * top/bootstrap-funclib.sh: Likewise. * top/gitsub.sh: Likewise. * lib/t-idcache: Likewise. * tests/havelib/rpath-1: Likewise. * tests/havelib/rpath-2_a: Likewise. * tests/havelib/rpath-2_b: Likewise. * tests/havelib/rpath-3_a: Likewise. * tests/havelib/rpath-3_b: Likewise. * tests/init.sh: Likewise. * tests/test-binary-io.sh: Likewise. * tests/test-c-stack.sh: Likewise. * tests/test-c-stack2.sh: Likewise. * tests/test-dprintf-posix.sh: Likewise. * tests/test-fpending.sh: Likewise. * tests/test-fprintf-posix.sh: Likewise. * tests/test-lseek.sh: Likewise. * tests/test-printf-posix.sh: Likewise. * tests/test-select-in.sh: Likewise. * tests/test-select-out.sh: Likewise. * tests/test-sigpipe.sh: Likewise. * tests/test-tsearch.sh: Likewise. * tests/test-update-copyright.sh: Likewise. * tests/test-vdprintf-posix.sh: Likewise. * tests/test-vfprintf-posix.sh: Likewise. * tests/test-vprintf-posix.sh: Likewise. * tests/test-xprintf-posix.sh: Likewise. * tests/uniwidth/test-uc_width2.sh: Likewise.
Diffstat (limited to 'top')
-rwxr-xr-xtop/autogen.sh4
-rw-r--r--top/bootstrap-funclib.sh4
-rwxr-xr-xtop/gitsub.sh4
3 files changed, 6 insertions, 6 deletions
diff --git a/top/autogen.sh b/top/autogen.sh
index 02028f272b..81db3fe035 100755
--- a/top/autogen.sh
+++ b/top/autogen.sh
@@ -305,7 +305,7 @@ grep '^[ ]*AM_GNU_GETTEXT_VERSION(' configure.ac >/dev/null || \
if test $with_gettext = yes || test $use_libtool = 1; then
tempbase=.bootstrap$$
- trap "rm -f $tempbase.0 $tempbase.1" 1 2 13 15
+ trap "rm -f $tempbase.0 $tempbase.1" HUP INT PIPE TERM
> $tempbase.0 > $tempbase.1 &&
find . ! -type d -print | sort > $tempbase.0 || exit
@@ -348,7 +348,7 @@ if test $with_gettext = yes || test $use_libtool = 1; then
IFS=$old_IFS
rm -f $tempbase.0 $tempbase.1
- trap - 1 2 13 15
+ trap - HUP INT PIPE TERM
fi
# Import from gnulib.
diff --git a/top/bootstrap-funclib.sh b/top/bootstrap-funclib.sh
index f66f338c5a..cfad85a318 100644
--- a/top/bootstrap-funclib.sh
+++ b/top/bootstrap-funclib.sh
@@ -501,7 +501,7 @@ prepare_GNULIB_SRCDIR ()
elif [ ! -d "$gnulib_path" ]; then
echo "$0: getting gnulib files..."
- trap cleanup_gnulib 1 2 13 15
+ trap cleanup_gnulib HUP INT PIPE TERM
shallow=
if test -z "$GNULIB_REVISION"; then
@@ -531,7 +531,7 @@ prepare_GNULIB_SRCDIR ()
git -C "$gnulib_path" reset --hard FETCH_HEAD
fi
- trap - 1 2 13 15
+ trap - HUP INT PIPE TERM
fi
fi
GNULIB_SRCDIR=$gnulib_path
diff --git a/top/gitsub.sh b/top/gitsub.sh
index 9a813cf7ba..54c52a874f 100755
--- a/top/gitsub.sh
+++ b/top/gitsub.sh
@@ -354,9 +354,9 @@ func_pull ()
fi
else
# The subdir does not yet exist. Create a plain checkout.
- trap func_cleanup_current_git_clone 1 2 13 15
+ trap func_cleanup_current_git_clone HUP INT PIPE TERM
git clone $2 "$url" "$path" || func_cleanup_current_git_clone
- trap - 1 2 13 15
+ trap - HUP INT PIPE TERM
fi
;;
esac